Bug 3580 - Control order in which facet categories display
Summary: Control order in which facet categories display
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Galen Charlton
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 25701
  Show dependency treegraph
 
Reported: 2009-09-04 01:33 UTC by Jane Wagner
Modified: 2020-06-10 10:48 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Sort the facets categories so they don't move every search. (841 bytes, patch)
2011-02-24 17:36 UTC, Frédérick Capovilla
Details | Diff | Splinter Review
patch signed-off (898 bytes, patch)
2011-05-11 15:53 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:12:30 UTC


---- Reported by jwagner@ptfs.com 2009-09-04 13:33:39 ----

The search facets do not always display in the same order (e.g., Author, Topic, Series, etc.), but it's not clear what controls the order they do show in.  In discussion on the IRC today, it was first thought that the category with the fewest number of entries would display first, but upon further investigation that did not seem to be the case.  I poked around in the template file and in Koha.pm and Search.pm, but could not figure out what controls the order.

I think libraries should be given the option to specify the order of the categories, so that, for example, Author would always be first, Topic second, Series third, etc.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:12 UTC  ---

This bug was previously known as _bug_ 3580 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3580

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here: chris@bigballofwax.co.nz.
   Previous reporter was jwagner@ptfs.com.

Comment 1 Frédérick Capovilla 2011-02-24 17:36:13 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2011-05-11 15:53:24 UTC
Created attachment 4075 [details] [review]
patch signed-off
Comment 3 Ian Walls 2011-05-25 12:30:43 UTC
Simple patch to read, marking as passed QA
Comment 4 Chris Cormack 2011-05-25 20:54:35 UTC
Pushed and merged to master, please test
Comment 5 Katrin Fischer 2011-08-05 17:45:05 UTC
Looks good to me. Marking fixed.